<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sd__host__macros__card__status" kind="group">
    <compoundname>group_sd_host_macros_card_status</compoundname>
    <title>Card Status (CMD13) Bits</title>
      <sectiondef kind="define">
      <memberdef id="group__group__sd__host__macros__card__status_1ga2349cfedf106aeabac1bf02f62917754" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_OUT_OF_RANGE</name>
        <initializer>(31U)</initializer>
        <briefdescription>
<para>The command's argument is out of range. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="511" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="508" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1ga7b11b0d8cce7284c6a7628fd2675cb8b" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_ADDRESS_ERROR</name>
        <initializer>(30U)</initializer>
        <briefdescription>
<para>The address does not match the block length. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="512" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="509" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1ga155698463b0ce381a2e15bd027c3388c" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_BLOCK_LEN_ERROR</name>
        <initializer>(29U)</initializer>
        <briefdescription>
<para>The block length is not allowed for this card. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="513" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="510" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1gaee5cd8084c05e866556f44e9bfb92a9d" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_ERASE_SEQ_ERROR</name>
        <initializer>(28U)</initializer>
        <briefdescription>
<para>An error in the sequence of erase commands occurred. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="514" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="511" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1gae7ad3f815e72f25a6310787cf74964d1" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_ERASE_PARAM</name>
        <initializer>(27U)</initializer>
        <briefdescription>
<para>An invalid selection of write blocks for erase occurred. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="515" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="512" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1ga6f1746b1181354a84cb44fe209a40db3" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_WP_VIOLATION</name>
        <initializer>(26U)</initializer>
        <briefdescription>
<para>The host attempts to write to a protected block or to the permanent write-protected card. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="516" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="515" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1gaec4baf12a3cee0c2bf553ca84e5ad8c5" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_CARD_IS_LOCKED</name>
        <initializer>(25U)</initializer>
        <briefdescription>
<para>The card is locked by the host. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="521" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="516" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1gac2f2081e4873f37fe980230ca57cd2ee" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_LOCK_ULOCK_FAILED</name>
        <initializer>(24U)</initializer>
        <briefdescription>
<para>A sequence or password error occurred has been detected in the lock/unlock card command. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="522" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="519" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1ga46d23c5a4256a4dfb34cf4f90dafa85a" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_COM_CRC_ERROR</name>
        <initializer>(23U)</initializer>
        <briefdescription>
<para>The CRC of the previous command failed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="527" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="520" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1gad2a6a31cb381616ce1f0362afb8fa1a8" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_ILLEGAL_COMMAND</name>
        <initializer>(22U)</initializer>
        <briefdescription>
<para>The command is not legal for the card state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="528" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="521" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1ga1a475f9a219b2b3040f4fa9bd7fb277b" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_CARD_ECC_FAILED</name>
        <initializer>(21U)</initializer>
        <briefdescription>
<para>The card internal ECC failed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="529" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="522" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1ga4c06735d5b5ffd25743b92692720de09" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_CC_ERROR</name>
        <initializer>(20U)</initializer>
        <briefdescription>
<para>An internal card-controller error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="530" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="523" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1gad1c2835425c0d529f2931e2eeb013de2" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_ERROR</name>
        <initializer>(19U)</initializer>
        <briefdescription>
<para>A general or unknown error occurred. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="531" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="524" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1gaf1f9b81c2ae8d3bdf32b3e53236e8866" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_CSD_OVERWRITE</name>
        <initializer>(16U)</initializer>
        <briefdescription>
<para>Can be either one of the following errors: </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>The read only section of the CSD does not match the card content.</para></listitem><listitem><para>An attempt to reverse the copy (set as original) or permanent WP (unprotected) bits was made. </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="532" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="532" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1ga00ec0fb9b3e3979379a5214e260e7772" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_WP_ERASE_SKIP</name>
        <initializer>(15U)</initializer>
        <briefdescription>
<para>Set when only partial address space was erased due to existing write protected blocks or a temporary or permanent write protected card was erased. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="547" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="537" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1ga1b8801c2b9a439c2c4f52823c46884a7" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_CARD_ECC_DISABLED</name>
        <initializer>(14U)</initializer>
        <briefdescription>
<para>The command has been executed without using the internal ECC. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="556" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="540" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1ga86c78bcc6fa9c38760c3f33b552d6aca" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_CURRENT_STATE</name>
        <initializer>(9U)</initializer>
        <briefdescription>
<para>The state of the card. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="561" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="541" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1ga92de75e1335b2413e91b3ca38a62b997" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_READY_FOR_DATA</name>
        <initializer>(8U)</initializer>
        <briefdescription>
<para>The buffer is empty on the bus. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="562" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="542" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1ga131ce046b41fa05798b27fa900061070" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_APP_CMD</name>
        <initializer>(5U)</initializer>
        <briefdescription>
<para>The card will expect ACMD, or an indication that the command has been interpreted as ACMD. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="563" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="546" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1gab3cb2578c9f18b85da3c184592c0f3eb" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_AKE_SEQ_ERROR</name>
        <initializer>(3U)</initializer>
        <briefdescription>
<para>Error in the sequence of the authentication process. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="570" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="549" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__status_1gadab10dff1f2e78c68eb898eb943a9c9d" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CMD13_CURRENT_STATE_MSK</name>
        <initializer>(0x00001E00UL)</initializer>
        <briefdescription>
<para>The current state mask of the card. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="576" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="551" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The masks below can be used with the <ref kindref="member" refid="group__group__sd__host__low__level__functions_1gacfa588e2d3797fab335cc8880d59d0ee">Cy_SD_Host_GetCardStatus</ref> function. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>